← Tables

Scotland

Women's Caledonia Midlands/East Region League Division 2

#TeamPWDLPDBPPtsForm
1Falkirk RFC5500–525WWWWW
2Livingston RFC5401–521WWLWW
3Gala RFC5401–420WWWWL
4Musselburgh RFC5302–315WLWLW
5Leith Rugby Club5203–210LLWLW
6Dalkeith RFC5104–59LWLLL
7Kirkcaldy RFC5104–23LLLWL
8Perthshire RFC5005–22LLLLL

Source: Scottish Rugby · checked Oct 14, 04:52 PM · Form: the last five results we hold, newest on the right.

Fixtures & results →

Each table is the league's own published standings, including its bonus points, deductions and tie-breaks. BP is shown where the league publishes it; elsewhere it is already in Pts.